Chuyển đến nội dung
Diễn đàn CADViet

cuongtk2

Thành viên
  • Số lượng nội dung

    375
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    25

Cộng đồng

111 (tàm tạm)

1 Người theo dõi

About cuongtk2

  • Cấp bậc
    biết dimcontinue

Khách truy cập Tiểu sử gần đây

5.502 chế độ xem tiểu sử
  1. Xuất ra các chi tiết thành dxf file bằng cách tạo boundary tại mỗi text position (defun c:test () (setq ss (ACET-SS-TO-LIST (ssget "x" '((0 . "TEXT"))))) (foreach n ss (progn (setq ent (entget n) p1 (acet-dxf 10 ent) file (acet-dxf 1 ent) ) (vl-cmdf "-boundary" p1 "") (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) (setq file1 (VL-STRING-TRIM " " file)) (setq path (acet-ui-pickdir "Select directory" (getvar "dwgprefix"))) (setq exportFile (strcat path "\\" file1)) ;; Adjust path to match your system ;; Create an empty selection set (setq sset (vla-Add (vla-get-SelectionSets doc) "TEST")) (vla-Select sset acSelectionSetLast) ;; Export the current drawing to the file specified above. (vla-Export doc exportFile "DXF" sset) (vla-Delete sset) ) ) )
  2. Cái khó nhất là nesting tôn thì có phần mềm chuyên dụng rồi, chỉ cần là làm đầu vào cho phần mềm đó thôi. Như vậy với từng hình rời rạc hoàn toàn có thể vẽ thành riêng biệt bản vẽ trùng tên với text. Lúc đó mới có thể xét đến lỗ cắt khoét
  3. cuongtk2

    Lisp thông kê danh mục bản vẽ

    (- CNT 1) hình như đổi sang string mới được
  4. cuongtk2

    Xin Hỏi về làm đồng phẳng các grip theo trục 0x và 0y

    mô tả cách thực hiện: - đặt 1 điểm p1 làm nơi xác định giá trị X, lấy giá trị p1.X. - dùng 2 điểm p2, p3 để xác định 1 crossing window cho selection - tạo một Extens3d rồi add các điểm p2 p3 vào. Extens này dùng để xác định point_inside cho các vertext của curve - dùng vòng for để duyệt vertex của cuvre, nếu inside p2 p3 thì thay đổi giá trị X cho point đó (với Polyline) - tương tự startpoint, entpoint với Line myCommands.cs.txt
  5. cuongtk2

    Xin Hỏi về làm đồng phẳng các grip theo trục 0x và 0y

    command: Stx CadStretch.rar
  6. cuongtk2

    Help về vẽ autocad

    có nhiều cách để làm dấu căn đó,từ ít sử dung đến thường xuyên: group, block, shape, fontshx. Tùy vào mức độ tái sử dụng mà mình chọn cách nào, đề xuất block hoặc attribute block
  7. cuongtk2

    Help về vẽ autocad

    Chữ nên viết, còn hình nên vẽ
  8. cuongtk2

    [window form C# with Autocad library]

    Đọc qua cái này đi bạn. Nhưng mình nghĩ app đọc, ghi dữ liệu độc lập, chỉ khi cần export dữ liệu sang dwg mới gọi Cad lên. https://through-the-interface.typepad.com/through_the_interface/2009/05/interfacing-an-external-com-application-with-a-net-module-in-process-to-autocad-redux.html
  9. Anh viết cái này chỉ phục vụ mục tiêu đổi tên trục. Cũng chưa nghĩ có người đánh trục dạng X-1, hay X.1
  10. Mình nghĩ bạn nên dùng lisp dạng Replace. Bạn không cần phải tạo mới trục mà chỉ cần sửa lại cho đúng yêu cầu thôi. X1đến X100 thành 1đến 100, Y1-Y24 thành A đến Z, Vậy không cần biết nó tiến hay lùi, mọi trục Y1 đều thành A. Bạn có thể chọn toàn bộ bản vẽ một lúc hay từng trục một đều được.
  11. cuongtk2

    Ghi text cho từng vị trí thiết bị

    demblock.LSP
  12. cuongtk2

    Nhờ giúp đỡ viết lisp xóa hết các đối tượng trùng nhau

    Cũng quên mất. Không update kiến thức về Cad.
×